LibreOffice: XJumpList Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XJumpList Interface Reference

Specifies an interface for adding custom jump lists to the task bar (Windows only) More...

`import <XJumpList.idl;`

Inheritance diagram for XJumpList:

## Public Member Functions
void | beginList ([in] string application) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::util::InvalidStateException )
| Start a new jump list.
void | appendCategory ([in] string category, [in] sequence< com::sun::star::system::windows::JumpListItem > jumpListItems) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::util::InvalidStateException )
| Add a jump list category.
void | addTasks ([in] sequence< com::sun::star::system::windows::JumpListItem > jumpListItems) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::util::InvalidStateException )
| Add items to the "Tasks" category.
void | showRecentFiles () raises (::com::sun::star::util::InvalidStateException)
| Display the recently used files (populated by LibreOffice)
void | showFrequentFiles () raises (::com::sun::star::util::InvalidStateException)
| Display the frequently used files (populated by LibreOffice)
void | commitList () raises ( ::com::sun::star::util::InvalidStateException )
| Commits the list.
void | abortList () raises ( ::com::sun::star::util::InvalidStateException )
| Aborts a list building session started with beginList.
void | deleteList ([in] string application) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Deletes the Jump List for a certain application.
sequence< com::sun::star::system::windows::JumpListItem > | getRemovedItems ([in] string application)
| Returns items that were removed from the jump list by the user.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Specifies an interface for adding custom jump lists to the task bar (Windows only)

To add a new jump list, call

1. XJumpList::beginList
2. XJumpList::appendCategory / XJumpList::addTasks / XJumpList::showRecentFiles / XJumpList::showFrequentFiles
3. XJumpList::commitList

Use XJumpList::abortList to cancel a current list building session. Use XJumpList::getRemovedItems to see which items were removed by the user.

Since
  LibreOffice 7.4

## Member Function Documentation

## ◆ abortList()

void abortList | ( |  | ) |
raises | ( | ::com::sun::star::util::InvalidStateException
| ) |  |

Aborts a list building session started with beginList.

Exceptions

  com::sun::star::util::InvalidStateException | When there is no open list.

## ◆ addTasks()

void addTasks | ( | [in] sequence< com::sun::star::system::windows::JumpListItem > | jumpListItems | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::util::InvalidStateException
| ) |  |

Add items to the "Tasks" category.

This category is system-defined and the category title cannot be changed. Also the user cannot remove or pin items from this category (as he can with items added via XJumpList::appendCategory ).

Parameters

  jumpListItems | Specifies a list of com::sun::star::system::JumpListItem. Must contain at least one item. These will be added as entries below the "Tasks" system category.

Exceptions

  com::sun::star::lang::IllegalArgumentException | When `jumpListItems` is empty
  com::sun::star::util::InvalidStateException | When there is no open list.

## ◆ appendCategory()

void appendCategory | ( | [in] string | category,
|  | [in] sequence< com::sun::star::system::windows::JumpListItem > | jumpListItems
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::util::InvalidStateException
| ) |  |

Add a jump list category.

Users can pin or remove items added via this method. Use XJumpList::getRemovedItems to see which items were removed by the user.

Parameters

  category | Specifies the category name. It will appear as the title of the custom jump list. Must not include embedded NULs ('\0')
  jumpListItems | Specifies a list of com::sun::star::system::JumpListItem. Must contain at least one item. These will be added as entries below the category name in the custom jump list.

Make sure you don't add items which the user has removed before (check the result of `getRemovedItems` before updating a category). If you try to add items which the user removed before, they will be silently ignored and not added to the list.

Exceptions

  com::sun::star::lang::IllegalArgumentException | When one of the following applies: `category` is empty `jumpListItems` is empty or contains only items which were removed by the user
  com::sun::star::util::InvalidStateException | When there is no open list.

## ◆ beginList()

void beginList | ( | [in] string | application | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::util::InvalidStateException
| ) |  |

Start a new jump list.

Parameters

  application | Used to map the jump list to the correct application. Use one of the following values: Writer Calc Impress Draw Math Base Startcenter

"Startcenter" will map to the generic "LibreOffice" icon.

Exceptions

  com::sun::star::lang::IllegalArgumentException | When `application` is invalid
  com::sun::star::util::InvalidStateException | When there is already an open list.

## ◆ commitList()

void commitList | ( |  | ) |
raises | ( | ::com::sun::star::util::InvalidStateException
| ) |  |

Commits the list.

Exceptions

  com::sun::star::util::InvalidStateException | When there is no open list.

## ◆ deleteList()

void deleteList | ( | [in] string | application | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

Deletes the Jump List for a certain application.

Parameters

  application | Used to map the jump list to the correct application. Use one of the following values: Writer Calc Impress Draw Math Base Startcenter

"Startcenter" will map to the generic "LibreOffice" icon.

Exceptions

  com::sun::star::lang::IllegalArgumentException | When `application` is invalid

## ◆ getRemovedItems()

sequence< com::sun::star::system::windows::JumpListItem > getRemovedItems | ( | [in] string | application | ) |

Returns items that were removed from the jump list by the user.

`appendCategory` will ignore items which were removed by the user before. Use this method to learn which items were removed by the user.

Parameters

  application | Used to map the jump list to the correct application. Use one of the following values: Writer Calc Impress Draw Math Base Startcenter

"Startcenter" will map to the generic "LibreOffice" icon.

Returns
  List of removed items.

## ◆ showFrequentFiles()

void showFrequentFiles | ( |  | ) |
raises | ( | ::com::sun::star::util::InvalidStateException
| ) |  |

Display the frequently used files (populated by LibreOffice)

Exceptions

  com::sun::star::util::InvalidStateException | When there is no open list.

## ◆ showRecentFiles()

void showRecentFiles | ( |  | ) |
raises | ( | ::com::sun::star::util::InvalidStateException
| ) |  |

Display the recently used files (populated by LibreOffice)

Exceptions

  com::sun::star::util::InvalidStateException | When there is no open list.

The documentation for this interface was generated from the following file:

- com/sun/star/system/windows/XJumpList.idl